<<

# Bugzilla::Template::Plugin::Hook

- NAME
- DESCRIPTION
- METHODS
- SEE ALSO

# NAME

Bugzilla::Template::Plugin::Hook

# DESCRIPTION

Template Toolkit plugin to process hooks added into templates by extensions.

# METHODS

process
  Description

    Processes hooks added into templates by extensions.

  Params
    `hook_name`

      The unique name of the template hook.

    `template` (optional)

      The path of the calling template. This is used as a work around to a bug which causes the path to the hook to be incorrect when the hook is called from inside a block.

      Example: If the hook `lastrow` is added to the template show-multiple.html.tmpl and it is desired to force the correct template path, the template hook would be:

           [% Hook.process("lastrow", "bug/show-multiple.html.tmpl") %]

  Returns

    Output from processing template extension.

# SEE ALSO

Template::Plugin

http://wiki.mozilla.org/Bugzilla:Writing_Extensions

<<